### Virtual Method

# Atk Component get_size

deprecated: Unknown

#### Declaration [src]

    void
    get_size (
      AtkComponent* component,
      gint* width,
      gint* height
    )

#### Description [src]

Gets the size of the `component` in terms of width and height.

If the size can not be obtained (e.g. a non-embedded plug or missing support), width and height are set to -1.

Deprecated since: Unknown

Since 2.12. Use `atk_component_get_extents()` instead.

#### Parameters

`width`

  Type: `gint*`

  Address of #gint to put width of `component`.

  The argument will be set by the function.
  The argument can be `NULL`.

`height`

  Type: `gint*`

  Address of #gint to put height of `component`.

  The argument will be set by the function.
  The argument can be `NULL`.